| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csKeyComposer Class Reference

Inheritance diagram for csKeyComposer:

[legend]
List of all members.

## Public Member Functions
virtual csKeyComposeResult | HandleKey (const csKeyEventData &keyEventData, utf32_char *buf, size_t bufChars, int *resultChars=0)
| Handle keyboard input.
virtual void | ResetState ()
| Reset the composer's internal state.
## Protected Attributes
utf32_char | lastDead

## Detailed Description

Definition at line 69 of file csinput.h.

## Member Function Documentation

virtual csKeyComposeResult csKeyComposer::HandleKey | ( | const csKeyEventData & | keyEventData,
|  | utf32_char * | buf,
|  | size_t | bufChars,
|  | int * | resultChars = `0` |
| ) |  |  | `[virtual]`

Handle keyboard input.

Converts the input to characters, if possible. If the key passed in is a dead key, it will be stored internally and affect the returned data of the subsequent keypress.

Parameters:

  | keyEventData | Information from a keyboard event.
  | buf | Buffer to store the output in. Should be at least contain 2 characters (however, the method will work with smaller buffers as well.)
  | bufChars | Number of characters the output buffer is actually sized.
  | resultChars | If not 0, returns the number of characters written to the output buffer.

Returns:
  The type of character(s) that has been written to the output buffer.

Implements iKeyComposer.

virtual void csKeyComposer::ResetState | ( |  | ) | `[virtual]`

Reset the composer's internal state.

Specifically, it will clear any stored dead key - the next key won't be combined with it.

Implements iKeyComposer.

The documentation for this class was generated from the following file:

- csutil/csinput.h